#!/bin/sh

LANG=C

if [ -e ./config.h ];then
  configh=./config.h
fi
if [ -e ../config.h ];then
  configh=../config.h
fi
if [ -e ./size.awk ];then
  sizeawk=./size.awk
fi
if [ -e ../size.awk ];then
  sizeawk=../size.awk
fi

svn info > /dev/null 2>&1
RETVAL=$?
if [ $RETVAL -eq 0 ]; then
  svnrev=` svn info | grep Revision | awk '{print $2}'`
else
  if [ -e ./.svnrevision ];then
    svnrev=`cat ./.svnrevision | awk '{print $6}'`
  fi
  if [ -e ../.svnrevision ];then
    svnrev=`cat ../.svnrevision | awk '{print $6}'`
  fi
fi

sizesuffix=`awk -f $sizeawk < $configh`
echo "_r"${svnrev}${sizesuffix}
